Ticket #686: top_level_config.status

File top_level_config.status, 56.7 KB (added by Timothy S. Sliwinski, 5 months ago)

Added by email2trac

Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42as_nl='
43'
44export as_nl
45# Printing a long string crashes Solaris 7 /usr/bin/printf.
46as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
47as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
48as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
49if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
50  as_echo='printf %s\n'
51  as_echo_n='printf %s'
52else
53  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
54    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
55    as_echo_n='/usr/ucb/echo -n'
56  else
57    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
58    as_echo_n_body='eval
59      arg=$1;
60      case $arg in
61      *"$as_nl"*)
62        expr "X$arg" : "X\\(.*\\)$as_nl";
63        arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
64      esac;
65      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
66    '
67    export as_echo_n_body
68    as_echo_n='sh -c $as_echo_n_body as_echo'
69  fi
70  export as_echo_body
71  as_echo='sh -c $as_echo_body as_echo'
72fi
73
74# The user is always right.
75if test "${PATH_SEPARATOR+set}" != set; then
76  PATH_SEPARATOR=:
77  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
78    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
79      PATH_SEPARATOR=';'
80  }
81fi
82
83# Support unset when possible.
84if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
85  as_unset=unset
86else
87  as_unset=false
88fi
89
90
91# IFS
92# We need space, tab and new line, in precisely that order.  Quoting is
93# there to prevent editors from complaining about space-tab.
94# (If _AS_PATH_WALK were called with IFS unset, it would disable word
95# splitting by setting IFS to empty value.)
96IFS=" ""        $as_nl"
97
98# Find who we are.  Look in the path if we contain no directory separator.
99case $0 in
100  *[\\/]* ) as_myself=$0 ;;
101  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
102for as_dir in $PATH
103do
104  IFS=$as_save_IFS
105  test -z "$as_dir" && as_dir=.
106  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
107done
108IFS=$as_save_IFS
109
110     ;;
111esac
112# We did not find ourselves, most probably we were run as `sh COMMAND'
113# in which case we are not to be found in the path.
114if test "x$as_myself" = x; then
115  as_myself=$0
116fi
117if test ! -f "$as_myself"; then
118  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
119  { (exit 1); exit 1; }
120fi
121
122# Work around bugs in pre-3.0 UWIN ksh.
123for as_var in ENV MAIL MAILPATH
124do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
125done
126PS1='$ '
127PS2='> '
128PS4='+ '
129
130# NLS nuisances.
131LC_ALL=C
132export LC_ALL
133LANGUAGE=C
134export LANGUAGE
135
136# Required to use basename.
137if expr a : '\(a\)' >/dev/null 2>&1 &&
138   test "X`expr 00001 : '.*\(...\)'`" = X001; then
139  as_expr=expr
140else
141  as_expr=false
142fi
143
144if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
145  as_basename=basename
146else
147  as_basename=false
148fi
149
150
151# Name of the executable.
152as_me=`$as_basename -- "$0" ||
153$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
154         X"$0" : 'X\(//\)$' \| \
155         X"$0" : 'X\(/\)' \| . 2>/dev/null ||
156$as_echo X/"$0" |
157    sed '/^.*\/\([^/][^/]*\)\/*$/{
158            s//\1/
159            q
160          }
161          /^X\/\(\/\/\)$/{
162            s//\1/
163            q
164          }
165          /^X\/\(\/\).*/{
166            s//\1/
167            q
168          }
169          s/.*/./; q'`
170
171# CDPATH.
172$as_unset CDPATH
173
174
175
176  as_lineno_1=$LINENO
177  as_lineno_2=$LINENO
178  test "x$as_lineno_1" != "x$as_lineno_2" &&
179  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
180
181  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
182  # uniformly replaced by the line number.  The first 'sed' inserts a
183  # line-number line after each line using $LINENO; the second 'sed'
184  # does the real work.  The second script uses 'N' to pair each
185  # line-number line with the line containing $LINENO, and appends
186  # trailing '-' during substitution so that $LINENO is not a special
187  # case at line end.
188  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
189  # scripts with optimization help from Paolo Bonzini.  Blame Lee
190  # E. McMahon (1931-1989) for sed's syntax.  :-)
191  sed -n '
192    p
193    /[$]LINENO/=
194  ' <$as_myself |
195    sed '
196      s/[$]LINENO.*/&-/
197      t lineno
198      b
199      :lineno
200      N
201      :loop
202      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
203      t loop
204      s/-\n.*//
205    ' >$as_me.lineno &&
206  chmod +x "$as_me.lineno" ||
207    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
208   { (exit 1); exit 1; }; }
209
210  # Don't try to exec as it changes $[0], causing all sort of problems
211  # (the dirname of $[0] is not the place where we might find the
212  # original and so on.  Autoconf is especially sensitive to this).
213  . "./$as_me.lineno"
214  # Exit status is that of the last command.
215  exit
216}
217
218
219if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
220  as_dirname=dirname
221else
222  as_dirname=false
223fi
224
225ECHO_C= ECHO_N= ECHO_T=
226case `echo -n x` in
227-n*)
228  case `echo 'x\c'` in
229  *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
230  *)   ECHO_C='\c';;
231  esac;;
232*)
233  ECHO_N='-n';;
234esac
235if expr a : '\(a\)' >/dev/null 2>&1 &&
236   test "X`expr 00001 : '.*\(...\)'`" = X001; then
237  as_expr=expr
238else
239  as_expr=false
240fi
241
242rm -f conf$$ conf$$.exe conf$$.file
243if test -d conf$$.dir; then
244  rm -f conf$$.dir/conf$$.file
245else
246  rm -f conf$$.dir
247  mkdir conf$$.dir 2>/dev/null
248fi
249if (echo >conf$$.file) 2>/dev/null; then
250  if ln -s conf$$.file conf$$ 2>/dev/null; then
251    as_ln_s='ln -s'
252    # ... but there are two gotchas:
253    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
254    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
255    # In both cases, we have to default to `cp -p'.
256    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
257      as_ln_s='cp -p'
258  elif ln conf$$.file conf$$ 2>/dev/null; then
259    as_ln_s=ln
260  else
261    as_ln_s='cp -p'
262  fi
263else
264  as_ln_s='cp -p'
265fi
266rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
267rmdir conf$$.dir 2>/dev/null
268
269if mkdir -p . 2>/dev/null; then
270  as_mkdir_p=:
271else
272  test -d ./-p && rmdir ./-p
273  as_mkdir_p=false
274fi
275
276if test -x / >/dev/null 2>&1; then
277  as_test_x='test -x'
278else
279  if ls -dL / >/dev/null 2>&1; then
280    as_ls_L_option=L
281  else
282    as_ls_L_option=
283  fi
284  as_test_x='
285    eval sh -c '\''
286      if test -d "$1"; then
287        test -d "$1/.";
288      else
289        case $1 in
290        -*)set "./$1";;
291        esac;
292        case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
293        ???[sx]*):;;*)false;;esac;fi
294    '\'' sh
295  '
296fi
297as_executable_p=$as_test_x
298
299# Sed expression to map a string onto a valid CPP name.
300as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
301
302# Sed expression to map a string onto a valid variable name.
303as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
304
305
306exec 6>&1
307
308# Save the log message, to keep $[0] and so on meaningful, and to
309# report actual input values of CONFIG_FILES etc. instead of their
310# values after options handling.
311ac_log="
312This file was extended by $as_me, which was
313generated by GNU Autoconf 2.62.  Invocation command line was
314
315  CONFIG_FILES    = $CONFIG_FILES
316  CONFIG_HEADERS  = $CONFIG_HEADERS
317  CONFIG_LINKS    = $CONFIG_LINKS
318  CONFIG_COMMANDS = $CONFIG_COMMANDS
319  $ $0 $@
320
321on `(hostname || uname -n) 2>/dev/null | sed 1q`
322"
323
324# Files that config.status was made for.
325config_files=" Makefile src/Makefile src/include/Makefile src/include/mpich2info.h mpich2-doxygen src/include/mpichtimer.h src/binding/Makefile src/binding/cxx/Makefile src/binding/cxx/mpicxx.h src/binding/f77/Makefile src/binding/f77/mpif.h src/binding/f77/setbotf.f src/binding/f90/Makefile src/binding/f90/mpi_sizeofs.f90 src/packaging/Makefile src/packaging/pkgconfig/mpich2-ch3.pc src/packaging/pkgconfig/Makefile src/packaging/envmods/mpich2.module src/packaging/envmods/Makefile src/env/mpixxx_opts.conf src/env/mpicc src/env/mpicc.conf src/env/mpicc.bash src/env/mpicxx src/env/mpicxx.conf src/env/mpicxx.bash src/env/mpif77 src/env/mpif77.conf src/env/mpif77.bash src/env/mpif90 src/env/mpif90.conf src/env/mpif90.bash src/env/parkill src/env/Makefile src/util/createshlib src/mpi/Makefile src/mpi/attr/Makefile src/mpi/coll/Makefile src/mpi/comm/Makefile src/mpi/datatype/Makefile src/mpi/debugger/Makefile src/mpi/errhan/Makefile src/mpi/group/Makefile src/mpi/init/Makefile src/mpi/misc/Makefile src/mpi/pt2pt/Makefile src/mpi/rma/Makefile src/mpi/spawn/Makefile src/mpi/timer/Makefile src/mpi/topo/Makefile src/mpid/Makefile src/mpid/common/Makefile src/mpid/common/datatype/Makefile src/mpid/common/datatype/dataloop/Makefile src/pm/Makefile src/pmi/Makefile src/pmi/simple/Makefile src/nameserv/Makefile src/nameserv/file/Makefile src/nameserv/mpd/Makefile src/nameserv/pmi/Makefile src/nameserv/test/Makefile src/util/Makefile src/util/info/Makefile src/util/instrm/Makefile src/util/thread/Makefile src/util/thread/mpe_thread.h src/util/mem/Makefile src/util/msgs/Makefile src/util/param/Makefile src/util/dbg/Makefile src/util/dbg/getfuncstack src/util/osserv/Makefile src/util/procmap/Makefile src/util/other/Makefile src/include/mpi.h test/Makefile test/util/Makefile test/basic/Makefile test/commands/Makefile test/commands/cmdtests test/mpid/Makefile test/mpid/ch3/Makefile test/util/timer/Makefile examples/Makefile examples/f77/Makefile examples/f90/Makefile examples/cxx/Makefile src/util/logging/Makefile src/util/logging/common/Makefile doc/Makefile doc/mansrc/Makefile doc/mansrc/createhtmlindex doc/refman/Makefile doc/installguide/Makefile doc/userguide/Makefile doc/logging/Makefile doc/design/Makefile doc/smpd/Makefile doc/windev/Makefile"
326config_headers=" src/include/mpichconf.h"
327config_commands=" default-1 default-2 default-3 default-4 default-5 default-6 default-7 default-8 default-9 default-10 default-11 default-12 default-13 default-14"
328
329ac_cs_usage="\
330\`$as_me' instantiates files from templates according to the
331current configuration.
332
333Usage: $0 [OPTIONS] [FILE]...
334
335  -h, --help       print this help, then exit
336  -V, --version    print version number and configuration settings, then exit
337  -q, --quiet      do not print progress messages
338  -d, --debug      don't remove temporary files
339      --recheck    update $as_me by reconfiguring in the same conditions
340  --file=FILE[:TEMPLATE]
341                   instantiate the configuration file FILE
342  --header=FILE[:TEMPLATE]
343                   instantiate the configuration header FILE
344
345Configuration files:
346$config_files
347
348Configuration headers:
349$config_headers
350
351Configuration commands:
352$config_commands
353
354Report bugs to <bug-autoconf@gnu.org>."
355
356ac_cs_version="\
357config.status
358configured by /home/tim/libraries/mpich2-1.1/configure, generated by GNU Autoconf 2.62,
359  with options \"'-prefix=/home/tim/mpich2-install'\"
360
361Copyright (C) 2008 Free Software Foundation, Inc.
362This config.status script is free software; the Free Software Foundation
363gives unlimited permission to copy, distribute and modify it."
364
365ac_pwd='/tmp/tim/mpich2'
366srcdir='/home/tim/libraries/mpich2-1.1'
367INSTALL='/usr/bin/install -c'
368test -n "$AWK" || AWK=awk
369# The default lists apply if the user does not specify any file.
370ac_need_defaults=:
371while test $# != 0
372do
373  case $1 in
374  --*=*)
375    ac_option=`expr "X$1" : 'X\([^=]*\)='`
376    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
377    ac_shift=:
378    ;;
379  *)
380    ac_option=$1
381    ac_optarg=$2
382    ac_shift=shift
383    ;;
384  esac
385
386  case $ac_option in
387  # Handling of the options.
388  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
389    ac_cs_recheck=: ;;
390  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
391    $as_echo "$ac_cs_version"; exit ;;
392  --debug | --debu | --deb | --de | --d | -d )
393    debug=: ;;
394  --file | --fil | --fi | --f )
395    $ac_shift
396    case $ac_optarg in
397    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
398    esac
399    CONFIG_FILES="$CONFIG_FILES '$ac_optarg'"
400    ac_need_defaults=false;;
401  --header | --heade | --head | --hea )
402    $ac_shift
403    case $ac_optarg in
404    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
405    esac
406    CONFIG_HEADERS="$CONFIG_HEADERS '$ac_optarg'"
407    ac_need_defaults=false;;
408  --he | --h)
409    # Conflict between --help and --header
410    { $as_echo "$as_me: error: ambiguous option: $1
411Try \`$0 --help' for more information." >&2
412   { (exit 1); exit 1; }; };;
413  --help | --hel | -h )
414    $as_echo "$ac_cs_usage"; exit ;;
415  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
416  | -silent | --silent | --silen | --sile | --sil | --si | --s)
417    ac_cs_silent=: ;;
418
419  # This is an error.
420  -*) { $as_echo "$as_me: error: unrecognized option: $1
421Try \`$0 --help' for more information." >&2
422   { (exit 1); exit 1; }; } ;;
423
424  *) ac_config_targets="$ac_config_targets $1"
425     ac_need_defaults=false ;;
426
427  esac
428  shift
429done
430
431ac_configure_extra_args=
432
433if $ac_cs_silent; then
434  exec 6>/dev/null
435  ac_configure_extra_args="$ac_configure_extra_args --silent"
436fi
437
438if $ac_cs_recheck; then
439  set X '/bin/sh' '/home/tim/libraries/mpich2-1.1/configure'  '-prefix=/home/tim/mpich2-install' $ac_configure_extra_args --no-create --no-recursion
440  shift
441  $as_echo "running CONFIG_SHELL=/bin/sh $*" >&6
442  CONFIG_SHELL='/bin/sh'
443  export CONFIG_SHELL
444  exec "$@"
445fi
446
447exec 5>>config.log
448{
449  echo
450  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
451## Running $as_me. ##
452_ASBOX
453  $as_echo "$ac_log"
454} >&5
455
456#
457# INIT-COMMANDS
458#
459master_top_srcdir=/home/tim/libraries/mpich2-1.1
460enable_f77=no
461enable_f90=default
462has_exclaim=
463has_fort_real8=
464has_fort90_real8=
465includebuild_dir=/tmp/tim/mpich2/src/include
466libbuild_dir=/tmp/tim/mpich2/lib
467bashWorks=no
468enable_f90=default
469modincbuild_dir=/tmp/tim/mpich2/src/binding/f90
470includebuild_dir=/tmp/tim/mpich2/src/include
471libbuild_dir=/tmp/tim/mpich2/lib
472bashWorks=no
473enable_cxx=yes
474includebuild_dir=/tmp/tim/mpich2/src/include
475libbuild_dir=/tmp/tim/mpich2/lib
476bashWorks=no
477
478    MPE_THREAD_SOURCE_FILES=src/util/thread/mpe_thread.c:/home/tim/libraries/mpich2-1.1/src/util/thread/mpe_thread_posix.c
479
480
481EXTERNAL_SETUPS=""
482LIBDIR="/tmp/tim/mpich2/lib"
483MPILIBNAME="mpich"
484PMPILIBNAME="pmpich"
485AR="ar"
486CC="gcc"
487CC_SHL="true"
488CPPFLAGS=" -I/home/tim/libraries/mpich2-1.1/src/openpa/src -I/tmp/tim/mpich2/src/openpa/src -DUSE_PROCESS_LOCKS  -I/tmp/tim/mpich2/src/mpid/ch3/include -I/home/tim/libraries/mpich2-1.1/src/mpid/ch3/include -I/tmp/tim/mpich2/src/mpid/common/datatype -I/home/tim/libraries/mpich2-1.1/src/mpid/common/datatype -I/tmp/tim/mpich2/src/mpid/common/locks -I/home/tim/libraries/mpich2-1.1/src/mpid/common/locks -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/include -I/home/tim/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/include -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/nemesis/include -I/home/tim/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/nemesis/include -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/nemesis/utils/monitor -I/home/tim/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/nemesis/utils/monitor -I/tmp/tim/mpich2/src/mpid/common/locks -I/home/tim/libraries/mpich2-1.1/src/mpid/common/locks -I/tmp/tim/mpich2/src/util/wrappers -I/home/tim/libraries/mpich2-1.1/src/util/wrappers"
489CFLAGS=" -O2"
490ENABLE_SHLIB="none"
491export LIBDIR ; export MPILIBNAME ; export AR ; export CC ; export CPPFLAGS
492export PMPILIBNAME
493export CFLAGS ; export CC_SHL ; export ENABLE_SHLIB ; export C_LINKPATH_SHL
494# For test/mpi/configure
495MPI_SRCDIR=
496MPI_NO_SPAWN=
497export MPI_SRCDIR
498export MPI_NO_SPAWN
499
500includebuild_dir=/tmp/tim/mpich2/src/include
501libbuild_dir=/tmp/tim/mpich2/lib
502opalibbuild_dir=/tmp/tim/mpich2/src/openpa/src
503bashWorks=no
504
505enable_romio=yes
506top_srcdir=
507
508
509
510
511
512
513
514
515# Handling of arguments.
516for ac_config_target in $ac_config_targets
517do
518  case $ac_config_target in
519    "src/include/mpichconf.h") CONFIG_HEADERS="$CONFIG_HEADERS src/include/mpichconf.h" ;;
520    "default-1") CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
521    "default-2") CONFIG_COMMANDS="$CONFIG_COMMANDS default-2" ;;
522    "default-3") CONFIG_COMMANDS="$CONFIG_COMMANDS default-3" ;;
523    "default-4") CONFIG_COMMANDS="$CONFIG_COMMANDS default-4" ;;
524    "default-5") CONFIG_COMMANDS="$CONFIG_COMMANDS default-5" ;;
525    "default-6") CONFIG_COMMANDS="$CONFIG_COMMANDS default-6" ;;
526    "default-7") CONFIG_COMMANDS="$CONFIG_COMMANDS default-7" ;;
527    "default-8") CONFIG_COMMANDS="$CONFIG_COMMANDS default-8" ;;
528    "default-9") CONFIG_COMMANDS="$CONFIG_COMMANDS default-9" ;;
529    "default-10") CONFIG_COMMANDS="$CONFIG_COMMANDS default-10" ;;
530    "default-11") CONFIG_COMMANDS="$CONFIG_COMMANDS default-11" ;;
531    "default-12") CONFIG_COMMANDS="$CONFIG_COMMANDS default-12" ;;
532    "default-13") CONFIG_COMMANDS="$CONFIG_COMMANDS default-13" ;;
533    "default-14") CONFIG_COMMANDS="$CONFIG_COMMANDS default-14" ;;
534    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
535    "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
536    "src/include/Makefile") CONFIG_FILES="$CONFIG_FILES src/include/Makefile" ;;
537    "src/include/mpich2info.h") CONFIG_FILES="$CONFIG_FILES src/include/mpich2info.h" ;;
538    "mpich2-doxygen") CONFIG_FILES="$CONFIG_FILES mpich2-doxygen" ;;
539    "src/include/mpichtimer.h") CONFIG_FILES="$CONFIG_FILES src/include/mpichtimer.h" ;;
540    "src/binding/Makefile") CONFIG_FILES="$CONFIG_FILES src/binding/Makefile" ;;
541    "src/binding/cxx/Makefile") CONFIG_FILES="$CONFIG_FILES src/binding/cxx/Makefile" ;;
542    "src/binding/cxx/mpicxx.h") CONFIG_FILES="$CONFIG_FILES src/binding/cxx/mpicxx.h" ;;
543    "src/binding/f77/Makefile") CONFIG_FILES="$CONFIG_FILES src/binding/f77/Makefile" ;;
544    "src/binding/f77/mpif.h") CONFIG_FILES="$CONFIG_FILES src/binding/f77/mpif.h" ;;
545    "src/binding/f77/setbotf.f") CONFIG_FILES="$CONFIG_FILES src/binding/f77/setbotf.f" ;;
546    "src/binding/f90/Makefile") CONFIG_FILES="$CONFIG_FILES src/binding/f90/Makefile" ;;
547    "src/binding/f90/mpi_sizeofs.f90") CONFIG_FILES="$CONFIG_FILES src/binding/f90/mpi_sizeofs.f90" ;;
548    "src/packaging/Makefile") CONFIG_FILES="$CONFIG_FILES src/packaging/Makefile" ;;
549    "src/packaging/pkgconfig/mpich2-ch3.pc") CONFIG_FILES="$CONFIG_FILES src/packaging/pkgconfig/mpich2-ch3.pc" ;;
550    "src/packaging/pkgconfig/Makefile") CONFIG_FILES="$CONFIG_FILES src/packaging/pkgconfig/Makefile" ;;
551    "src/packaging/envmods/mpich2.module") CONFIG_FILES="$CONFIG_FILES src/packaging/envmods/mpich2.module" ;;
552    "src/packaging/envmods/Makefile") CONFIG_FILES="$CONFIG_FILES src/packaging/envmods/Makefile" ;;
553    "src/env/mpixxx_opts.conf") CONFIG_FILES="$CONFIG_FILES src/env/mpixxx_opts.conf" ;;
554    "src/env/mpicc") CONFIG_FILES="$CONFIG_FILES src/env/mpicc" ;;
555    "src/env/mpicc.conf") CONFIG_FILES="$CONFIG_FILES src/env/mpicc.conf" ;;
556    "src/env/mpicc.bash") CONFIG_FILES="$CONFIG_FILES src/env/mpicc.bash" ;;
557    "src/env/mpicxx") CONFIG_FILES="$CONFIG_FILES src/env/mpicxx" ;;
558    "src/env/mpicxx.conf") CONFIG_FILES="$CONFIG_FILES src/env/mpicxx.conf" ;;
559    "src/env/mpicxx.bash") CONFIG_FILES="$CONFIG_FILES src/env/mpicxx.bash" ;;
560    "src/env/mpif77") CONFIG_FILES="$CONFIG_FILES src/env/mpif77" ;;
561    "src/env/mpif77.conf") CONFIG_FILES="$CONFIG_FILES src/env/mpif77.conf" ;;
562    "src/env/mpif77.bash") CONFIG_FILES="$CONFIG_FILES src/env/mpif77.bash" ;;
563    "src/env/mpif90") CONFIG_FILES="$CONFIG_FILES src/env/mpif90" ;;
564    "src/env/mpif90.conf") CONFIG_FILES="$CONFIG_FILES src/env/mpif90.conf" ;;
565    "src/env/mpif90.bash") CONFIG_FILES="$CONFIG_FILES src/env/mpif90.bash" ;;
566    "src/env/parkill") CONFIG_FILES="$CONFIG_FILES src/env/parkill" ;;
567    "src/env/Makefile") CONFIG_FILES="$CONFIG_FILES src/env/Makefile" ;;
568    "src/util/createshlib") CONFIG_FILES="$CONFIG_FILES src/util/createshlib" ;;
569    "src/mpi/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/Makefile" ;;
570    "src/mpi/attr/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/attr/Makefile" ;;
571    "src/mpi/coll/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/coll/Makefile" ;;
572    "src/mpi/comm/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/comm/Makefile" ;;
573    "src/mpi/datatype/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/datatype/Makefile" ;;
574    "src/mpi/debugger/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/debugger/Makefile" ;;
575    "src/mpi/errhan/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/errhan/Makefile" ;;
576    "src/mpi/group/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/group/Makefile" ;;
577    "src/mpi/init/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/init/Makefile" ;;
578    "src/mpi/misc/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/misc/Makefile" ;;
579    "src/mpi/pt2pt/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/pt2pt/Makefile" ;;
580    "src/mpi/rma/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/rma/Makefile" ;;
581    "src/mpi/spawn/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/spawn/Makefile" ;;
582    "src/mpi/timer/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/timer/Makefile" ;;
583    "src/mpi/topo/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpi/topo/Makefile" ;;
584    "src/mpid/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpid/Makefile" ;;
585    "src/mpid/common/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpid/common/Makefile" ;;
586    "src/mpid/common/datatype/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpid/common/datatype/Makefile" ;;
587    "src/mpid/common/datatype/dataloop/Makefile") CONFIG_FILES="$CONFIG_FILES src/mpid/common/datatype/dataloop/Makefile" ;;
588    "src/pm/Makefile") CONFIG_FILES="$CONFIG_FILES src/pm/Makefile" ;;
589    "src/pmi/Makefile") CONFIG_FILES="$CONFIG_FILES src/pmi/Makefile" ;;
590    "src/pmi/${pmi_name}/Makefile") CONFIG_FILES="$CONFIG_FILES src/pmi/${pmi_name}/Makefile" ;;
591    "src/nameserv/Makefile") CONFIG_FILES="$CONFIG_FILES src/nameserv/Makefile" ;;
592    "src/nameserv/file/Makefile") CONFIG_FILES="$CONFIG_FILES src/nameserv/file/Makefile" ;;
593    "src/nameserv/mpd/Makefile") CONFIG_FILES="$CONFIG_FILES src/nameserv/mpd/Makefile" ;;
594    "src/nameserv/pmi/Makefile") CONFIG_FILES="$CONFIG_FILES src/nameserv/pmi/Makefile" ;;
595    "src/nameserv/test/Makefile") CONFIG_FILES="$CONFIG_FILES src/nameserv/test/Makefile" ;;
596    "src/util/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/Makefile" ;;
597    "src/util/info/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/info/Makefile" ;;
598    "src/util/instrm/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/instrm/Makefile" ;;
599    "src/util/thread/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/thread/Makefile" ;;
600    "src/util/thread/mpe_thread.h") CONFIG_FILES="$CONFIG_FILES src/util/thread/mpe_thread.h" ;;
601    "src/util/mem/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/mem/Makefile" ;;
602    "src/util/msgs/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/msgs/Makefile" ;;
603    "src/util/param/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/param/Makefile" ;;
604    "src/util/dbg/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/dbg/Makefile" ;;
605    "src/util/dbg/getfuncstack") CONFIG_FILES="$CONFIG_FILES src/util/dbg/getfuncstack" ;;
606    "src/util/osserv/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/osserv/Makefile" ;;
607    "src/util/procmap/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/procmap/Makefile" ;;
608    "src/util/other/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/other/Makefile" ;;
609    "src/include/mpi.h") CONFIG_FILES="$CONFIG_FILES src/include/mpi.h" ;;
610    "test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
611    "test/util/Makefile") CONFIG_FILES="$CONFIG_FILES test/util/Makefile" ;;
612    "test/basic/Makefile") CONFIG_FILES="$CONFIG_FILES test/basic/Makefile" ;;
613    "test/commands/Makefile") CONFIG_FILES="$CONFIG_FILES test/commands/Makefile" ;;
614    "test/commands/cmdtests") CONFIG_FILES="$CONFIG_FILES test/commands/cmdtests" ;;
615    "test/mpid/Makefile") CONFIG_FILES="$CONFIG_FILES test/mpid/Makefile" ;;
616    "test/mpid/ch3/Makefile") CONFIG_FILES="$CONFIG_FILES test/mpid/ch3/Makefile" ;;
617    "test/util/timer/Makefile") CONFIG_FILES="$CONFIG_FILES test/util/timer/Makefile" ;;
618    "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
619    "examples/f77/Makefile") CONFIG_FILES="$CONFIG_FILES examples/f77/Makefile" ;;
620    "examples/f90/Makefile") CONFIG_FILES="$CONFIG_FILES examples/f90/Makefile" ;;
621    "examples/cxx/Makefile") CONFIG_FILES="$CONFIG_FILES examples/cxx/Makefile" ;;
622    "src/util/logging/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/logging/Makefile" ;;
623    "src/util/logging/common/Makefile") CONFIG_FILES="$CONFIG_FILES src/util/logging/common/Makefile" ;;
624    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
625    "doc/mansrc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/mansrc/Makefile" ;;
626    "doc/mansrc/createhtmlindex") CONFIG_FILES="$CONFIG_FILES doc/mansrc/createhtmlindex" ;;
627    "doc/refman/Makefile") CONFIG_FILES="$CONFIG_FILES doc/refman/Makefile" ;;
628    "doc/installguide/Makefile") CONFIG_FILES="$CONFIG_FILES doc/installguide/Makefile" ;;
629    "doc/userguide/Makefile") CONFIG_FILES="$CONFIG_FILES doc/userguide/Makefile" ;;
630    "doc/logging/Makefile") CONFIG_FILES="$CONFIG_FILES doc/logging/Makefile" ;;
631    "doc/design/Makefile") CONFIG_FILES="$CONFIG_FILES doc/design/Makefile" ;;
632    "doc/smpd/Makefile") CONFIG_FILES="$CONFIG_FILES doc/smpd/Makefile" ;;
633    "doc/windev/Makefile") CONFIG_FILES="$CONFIG_FILES doc/windev/Makefile" ;;
634
635  *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
636$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
637   { (exit 1); exit 1; }; };;
638  esac
639done
640
641
642# If the user did not use the arguments to specify the items to instantiate,
643# then the envvar interface is used.  Set only those that are not.
644# We use the long form for the default assignment because of an extremely
645# bizarre bug on SunOS 4.1.3.
646if $ac_need_defaults; then
647  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
648  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
649  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
650fi
651
652# Have a temporary directory for convenience.  Make it in the build tree
653# simply because there is no reason against having it here, and in addition,
654# creating and moving files from /tmp can sometimes cause problems.
655# Hook for its removal unless debugging.
656# Note that there is a small window in which the directory will not be cleaned:
657# after its creation but before its name has been assigned to `$tmp'.
658$debug ||
659{
660  tmp=
661  trap 'exit_status=$?
662  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
663' 0
664  trap '{ (exit 1); exit 1; }' 1 2 13 15
665}
666# Create a (secure) tmp directory for tmp files.
667
668{
669  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
670  test -n "$tmp" && test -d "$tmp"
671}  ||
672{
673  tmp=./conf$$-$RANDOM
674  (umask 077 && mkdir "$tmp")
675} ||
676{
677   $as_echo "$as_me: cannot create a temporary directory in ." >&2
678   { (exit 1); exit 1; }
679}
680
681# Set up the scripts for CONFIG_FILES section.
682# No need to generate them if there are no CONFIG_FILES.
683# This happens for instance with `./config.status config.h'.
684if test -n "$CONFIG_FILES"; then
685
686if $AWK 'BEGIN { getline <"/dev/null" }' </dev/null 2>/dev/null; then
687  ac_cs_awk_getline=:
688  ac_cs_awk_pipe_init=
689  ac_cs_awk_read_file='
690      while ((getline aline < (F[key])) > 0)
691        print(aline)
692      close(F[key])'
693  ac_cs_awk_pipe_fini=
694else
695  ac_cs_awk_getline=false
696  ac_cs_awk_pipe_init="print \"cat <<'|#_!!_#|' &&\""
697  ac_cs_awk_read_file='
698      print "|#_!!_#|"
699      print "cat " F[key] " &&"
700      '$ac_cs_awk_pipe_init
701  # The final `:' finishes the AND list.
702  ac_cs_awk_pipe_fini='END { print "|#_!!_#|"; print ":" }'
703fi
704ac_cr='
705'
706ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
707if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
708  ac_cs_awk_cr='\\r'
709else
710  ac_cs_awk_cr=$ac_cr
711fi
712
713echo 'BEGIN {' >"$tmp/subs1.awk" &&
714cat >>"$tmp/subs1.awk" <<\_ACAWK &&
715F["MPE_THREAD_TYPEDEFS"]="/home/tim/libraries/mpich2-1.1/src/util/thread/posix_types.i"
716F["MPE_THREAD_FUNCS"]="/home/tim/libraries/mpich2-1.1/src/util/thread/posix_funcs.i"
717_ACAWK
718cat >>"$tmp/subs1.awk" <<\_ACAWK &&
719S["SHELL"]="/bin/sh"
720S["PATH_SEPARATOR"]=":"
721S["PACKAGE_NAME"]=""
722S["PACKAGE_TARNAME"]=""
723S["PACKAGE_VERSION"]=""
724S["PACKAGE_STRING"]=""
725S["PACKAGE_BUGREPORT"]=""
726S["exec_prefix"]="${prefix}"
727S["prefix"]="/home/tim/mpich2-install"
728S["program_transform_name"]="s,x,x,"
729S["bindir"]="${exec_prefix}/bin"
730S["sbindir"]="${exec_prefix}/sbin"
731S["libexecdir"]="${exec_prefix}/libexec"
732S["datarootdir"]="${prefix}/share"
733S["datadir"]="${datarootdir}"
734S["sysconfdir"]="${prefix}/etc"
735S["sharedstatedir"]="${prefix}/com"
736S["localstatedir"]="${prefix}/var"
737S["includedir"]="${prefix}/include"
738S["oldincludedir"]="/usr/include"
739S["docdir"]="${datarootdir}/doc/${PACKAGE}"
740S["infodir"]="${datarootdir}/info"
741S["htmldir"]="${docdir}"
742S["dvidir"]="${docdir}"
743S["pdfdir"]="${docdir}"
744S["psdir"]="${docdir}"
745S["libdir"]="${exec_prefix}/lib"
746S["localedir"]="${datarootdir}/locale"
747S["mandir"]="${datarootdir}/man"
748S["DEFS"]="-DHAVE_CONFIG_H"
749S["ECHO_C"]=""
750S["ECHO_N"]="-n"
751S["ECHO_T"]=""
752S["LIBS"]="      "
753S["build_alias"]=""
754S["host_alias"]=""
755S["target_alias"]=""
756S["CONFIGURE_ARGS_CLEAN"]="-prefix=/home/tim/mpich2-install"
757S["RELEASE_DATE"]="Unknown, built on Sun Jun 28 12:53:42 EDT 2009"
758S["NUMVERSION"]="10100300"
759S["VERSION"]="1.1"
760S["ABIVERSION"]="1:1"
761S["CONFIGURE_ARGUMENTS"]=" '-prefix=/home/tim/mpich2-install'"
762S["MPIFLIBNAME"]="mpich"
763S["PMPIFLIBNAME"]="pmpich"
764S["FWRAPNAME"]="fmpich"
765S["master_top_builddir"]="/tmp/tim/mpich2"
766S["master_top_srcdir"]="/home/tim/libraries/mpich2-1.1"
767S["DEVICE"]="ch3:nemesis"
768S["DEVICE_NAME"]="ch3"
769S["DEVICE_ARGS"]=""
770S["INCLUDE_MPIDDEFS_H"]="/* ... no device specific definitions ... */"
771S["MPICXXLIBNAME"]="mpichcxx"
772S["logging_dir"]=""
773S["logging_name"]="none"
774S["logging_subdirs"]=""
775S["romio_dir"]="romio"
776S["HAVE_ROMIO"]="#include \"mpio.h\""
777S["device_name"]="ch3"
778S["MANY_PM"]="no"
779S["pm_name"]="mpd"
780S["other_pm_names"]=" hydra gforker"
781S["pmi_name"]="simple"
782S["mpe_dir"]="mpe2"
783S["other_install_dirs"]=" src/openpa src/pm/mpd src/mpe2"
784S["CC"]="gcc"
785S["CFLAGS"]=" -O2"
786S["LDFLAGS"]=" "
787S["CPPFLAGS"]=" -I/home/tim/libraries/mpich2-1.1/src/openpa/src -I/tmp/tim/mpich2/src/openpa/src -DUSE_PROCESS_LOCKS  -I/tmp/tim/mpich2/src/mpid/ch3/include -I/hom"\
788"e/tim/libraries/mpich2-1.1/src/mpid/ch3/include -I/tmp/tim/mpich2/src/mpid/common/datatype -I/home/tim/libraries/mpich2-1.1/src/mpid/common/datatype"\
789" -I/tmp/tim/mpich2/src/mpid/common/locks -I/home/tim/libraries/mpich2-1.1/src/mpid/common/locks -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/incl"\
790"ude -I/home/tim/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/include -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/nemesis/include -I/home/t"\
791"im/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/nemesis/include -I/tmp/tim/mpich2/src/mpid/ch3/channels/nemesis/nemesis/utils/monitor -I/home/"\
792"tim/libraries/mpich2-1.1/src/mpid/ch3/channels/nemesis/nemesis/utils/monitor -I/tmp/tim/mpich2/src/mpid/common/locks -I/home/tim/libraries/mpich2-1."\
793"1/src/mpid/common/locks -I/tmp/tim/mpich2/src/util/wrappers -I/home/tim/libraries/mpich2-1.1/src/util/wrappers"
794S["ac_ct_CC"]="gcc"
795S["EXEEXT"]=""
796S["OBJEXT"]="o"
797S["CPP"]="gcc -E"
798S["CREATESHLIB"]="false"
799S["NEEDSPLIB"]="no"
800S["NO_WEAK_SYM"]=""
801S["NO_WEAK_SYM_TARGET"]="build_proflib"
802S["PROFILE_DEF_MPI"]=""
803S["F77"]=""
804S["FFLAGS"]=" "
805S["ac_ct_F77"]=""
806S["FLIBS"]=""
807S["FILE"]=""
808S["F77_NAME_MANGLE"]=""
809S["F77_OTHER_LIBS"]=""
810S["F90"]=""
811S["F90FLAGS"]=" "
812S["ac_ct_F90"]=""
813S["F77_INCDIR"]=""
814S["FINCLUDES"]=""
815S["F77_LIBDIR_LEADER"]=""
816S["MPIFPMPI"]=""
817S["F77_IN_C_LIBS"]=""
818S["FC_SHL"]=""
819S["FC_LINKPATH_SHL"]=""
820S["F77CPP"]=""
821S["F90MODEXT"]=""
822S["F90_WORK_FILES_ARG"]=""
823S["F90MODINCFLAG"]=""
824S["F90MODINCSPEC"]=""
825S["MPIMODNAME"]="mpi"
826S["MPICONSTMODNAME"]="mpi_constants"
827S["MPISIZEOFMODNAME"]="mpi_sizeofs"
828S["MPIBASEMODNAME"]="mpi_base"
829S["modincdir"]=""
830S["F90INC"]=""
831S["F90INCFLAG"]=""
832S["F90EXT"]=""
833S["F90CPP"]=""
834S["F90_OTHER_LIBS"]=""
835S["F90_SHL"]=""
836S["F90_LINKPATH_SHL"]=""
837S["CXX"]="c++"
838S["CXXFLAGS"]=" -O2"
839S["ac_ct_CXX"]=""
840S["HAVE_CXX_EXCEPTIONS"]="1"
841S["CXX_DEFS"]=" -DHAVE_CXX_IOSTREAM -DHAVE_NAMESPACE_STD"
842S["CXX_SHL"]="false"
843S["CXX_LINKPATH_SHL"]=""
844S["GNUCXX_VERSION"]="4"
845S["GNUCXX_MINORVERSION"]="2"
846S["INCLUDE_MPICXX_H"]="#include \"mpicxx.h\""
847S["FORTRAN_BINDING"]="0"
848S["MPIR_CXX_BOOL"]="0x4c000133"
849S["MPIR_CXX_COMPLEX"]="0x4c000834"
850S["MPIR_CXX_DOUBLE_COMPLEX"]="0x4c001035"
851S["MPIR_CXX_LONG_DOUBLE_COMPLEX"]="0x4c001836"
852S["bindings"]=" cxx"
853S["bindings_dirs"]=" src/binding/cxx"
854S["FC"]=""
855S["PERL"]=""
856S["AR"]="ar"
857S["RANLIB"]="ranlib"
858S["ETAGS"]="true"
859S["ETAGSADD"]=""
860S["KILLALL"]="killall"
861S["XARGS_NODATA_OPT"]=""
862S["INSTALL_PROGRAM"]="${INSTALL}"
863S["INSTALL_SCRIPT"]="${INSTALL}"
864S["INSTALL_DATA"]="${INSTALL} -m 644"
865S["RANLIB_AFTER_INSTALL"]="no"
866S["MKDIR_P"]="mkdir -p"
867S["MAKE"]="make"
868S["VPATH"]="VPATH=.:${srcdir}"
869S["SET_CFLAGS"]="CFLAGS="
870S["SET_MAKE"]="MAKE=make"
871S["BASH_SHELL"]=""
872S["BUILD_BASH_SCRIPTS"]="no"
873S["GREP"]=""
874S["EGREP"]=""
875S["BUILD_DLLS"]="no"
876S["CC_SHL"]="true"
877S["C_LINK_SHL"]="true"
878S["C_LINKPATH_SHL"]=""
879S["SHLIB_EXT"]="unknown"
880S["SHLIB_FROM_LO"]="no"
881S["SHLIB_INSTALL"]="$(INSTALL_PROGRAM)"
882S["ENABLE_SHLIB"]="none"
883S["pac_prog"]=""
884S["LIBTOOL"]=""
885S["DBG_SHLIB_TYPE"]=""
886S["BUILD_TVDLL"]="no"
887S["CC_SHL_DBG"]=""
888S["C_LINK_SHL_DBG"]=""
889S["debugger_dir"]=""
890S["nameserv_name"]="mpd"
891S["DOCTEXT"]="false"
892S["DOCTEXTSTYLE"]=""
893S["MAKE_DEPEND_C"]="gcc -MM"
894S["GCC"]="yes"
895S["MPI_CHAR"]="0x4c000101"
896S["MPI_UNSIGNED_CHAR"]="0x4c000102"
897S["MPI_SHORT"]="0x4c000203"
898S["MPI_UNSIGNED_SHORT"]="0x4c000204"
899S["MPI_INT"]="0x4c000405"
900S["MPI_UNSIGNED_INT"]="0x4c000406"
901S["MPI_LONG"]="0x4c000407"
902S["MPI_UNSIGNED_LONG"]="0x4c000408"
903S["MPI_LONG_LONG"]="0x4c000809"
904S["MPI_FLOAT"]="0x4c00040a"
905S["MPI_DOUBLE"]="0x4c00080b"
906S["MPI_LONG_DOUBLE"]="0x4c000c0c"
907S["MPI_BYTE"]="0x4c00010d"
908S["MPI_WCHAR"]="0x4c00040e"
909S["MPI_PACKED"]="0x4c00010f"
910S["MPI_LB"]="0x4c000010"
911S["MPI_UB"]="0x4c000011"
912S["MPI_FLOAT_INT"]="0x8c000000"
913S["MPI_DOUBLE_INT"]="0x8c000001"
914S["MPI_LONG_INT"]="0x8c000002"
915S["MPI_SHORT_INT"]="0x8c000003"
916S["MPI_2INT"]="0x4c000816"
917S["MPI_LONG_DOUBLE_INT"]="0x8c000004"
918S["MPI_SIGNED_CHAR"]="0x4c000118"
919S["MPI_UNSIGNED_LONG_LONG"]="0x4c000819"
920S["MPI_REAL4"]="0x4c000427"
921S["MPI_REAL8"]="0x4c000829"
922S["MPI_REAL16"]="MPI_DATATYPE_NULL"
923S["MPI_COMPLEX8"]="0x4c000828"
924S["MPI_COMPLEX16"]="0x4c00102a"
925S["MPI_COMPLEX32"]="MPI_DATATYPE_NULL"
926S["MPI_INTEGER1"]="0x4c00012d"
927S["MPI_INTEGER2"]="0x4c00022f"
928S["MPI_INTEGER4"]="0x4c000430"
929S["MPI_INTEGER8"]="0x4c000831"
930S["MPI_INTEGER16"]="MPI_DATATYPE_NULL"
931S["MPI_CHARACTER"]="MPI_DATATYPE_NULL"
932S["MPI_INTEGER"]="MPI_DATATYPE_NULL"
933S["MPI_REAL"]="MPI_DATATYPE_NULL"
934S["MPI_LOGICAL"]="MPI_DATATYPE_NULL"
935S["MPI_COMPLEX"]="MPI_DATATYPE_NULL"
936S["MPI_DOUBLE_PRECISION"]="MPI_DATATYPE_NULL"
937S["MPI_2INTEGER"]="MPI_DATATYPE_NULL"
938S["MPI_2REAL"]="MPI_DATATYPE_NULL"
939S["MPI_DOUBLE_COMPLEX"]="MPI_DATATYPE_NULL"
940S["MPI_2DOUBLE_PRECISION"]="MPI_DATATYPE_NULL"
941S["MPI_2COMPLEX"]="MPI_DATATYPE_NULL"
942S["MPI_2DOUBLE_COMPLEX"]="MPI_DATATYPE_NULL"
943S["MPI_F77_PACKED"]=""
944S["MPI_F77_UB"]=""
945S["MPI_F77_LB"]=""
946S["MPI_F77_BYTE"]=""
947S["F77_INTEGER1"]=""
948S["F77_INTEGER2"]=""
949S["F77_INTEGER4"]=""
950S["F77_INTEGER8"]=""
951S["F77_INTEGER16"]=""
952S["F77_REAL4"]=""
953S["F77_REAL8"]=""
954S["F77_REAL16"]=""
955S["F77_COMPLEX8"]=""
956S["F77_COMPLEX16"]=""
957S["F77_COMPLEX32"]=""
958S["SIZEOF_MPI_STATUS"]=""
959S["MPI_STATUS_SIZE"]=""
960S["MPI_F77_CHAR"]=""
961S["MPI_F77_SIGNED_CHAR"]=""
962S["MPI_F77_UNSIGNED_CHAR"]=""
963S["MPI_F77_WCHAR"]=""
964S["MPI_F77_SHORT"]=""
965S["MPI_F77_UNSIGNED_SHORT"]=""
966S["MPI_F77_UNSIGNED"]=""
967S["MPI_F77_INT"]=""
968S["MPI_F77_LONG"]=""
969S["MPI_F77_UNSIGNED_LONG"]=""
970S["MPI_F77_FLOAT"]=""
971S["MPI_F77_DOUBLE"]=""
972S["MPI_F77_LONG_DOUBLE"]=""
973S["MPI_F77_UNSIGNED_LONG_LONG"]=""
974S["MPI_F77_LONG_LONG_INT"]=""
975S["MPI_F77_LONG_LONG"]=""
976S["MPI_F77_FLOAT_INT"]=""
977S["MPI_F77_DOUBLE_INT"]=""
978S["MPI_F77_LONG_INT"]=""
979S["MPI_F77_SHORT_INT"]=""
980S["MPI_F77_2INT"]=""
981S["MPI_F77_LONG_DOUBLE_INT"]=""
982S["TESTCPP"]=""
983S["ADDRESS_KIND"]=""
984S["OFFSET_KIND"]=""
985S["DLLIMPORT"]=""
986S["SIZEOF_F90_INTEGER"]=""
987S["SIZEOF_F90_REAL"]=""
988S["SIZEOF_F90_DOUBLE_PRECISION"]=""
989S["SIZEOF_F90_CHARACTER"]=""
990S["REQD"]=""
991S["REQI1"]=""
992S["REQI2"]=""
993S["REQI8"]=""
994S["CXXCPP"]="c++ -E"
995S["BSEND_OVERHEAD"]="56"
996S["ALLOCA"]=""
997S["MPID_TIMER_TYPE"]="struct timespec"
998S["MPICH_TIMER_KIND"]="USE_CLOCK_GETTIME"
999S["MPILIBNAME"]="mpich"
1000S["PMPILIBNAME"]="pmpich"
1001S["MPI_AINT"]="int"
1002S["MPI_AINT_FMT_DEC_SPEC"]="%d"
1003S["MPI_AINT_FMT_HEX_SPEC"]="%x"
1004S["THR_DEFS"]=""
1005S["THR_CFLAGS"]=" -D_REENTRANT -D_THREAD_SAFE"
1006S["THR_CPPFLAGS"]=""
1007S["THR_LDFLAGS"]=""
1008S["THR_LIBS"]=" -lpthread"
1009S["MPE_THREAD_LIB_NAME"]="mpich"
1010S["subsystems"]="src/openpa  src/mpid/ch3 src/mpid/common/locks  src/mpid/common/locks src/mpi/romio src/pmi/simple src/pm/mpd src/pm/hydra src/pm/gforker src/mpe2 "
1011S["MPI_FINT"]="int"
1012S["MPI_OFFSET"]="long"
1013S["MPI_OFFSET_TYPEDEF"]="typedef long MPI_Offset;"
1014S["FORTRAN_MPI_OFFSET"]="integer"
1015S["EXTRA_STATUS_DECL"]=""
1016S["MPI_MAX_PROCESSOR_NAME"]="128"
1017S["WRAPPER_CFLAGS"]=""
1018S["WRAPPER_CXXFLAGS"]=""
1019S["WRAPPER_FFLAGS"]=""
1020S["WRAPPER_F90FLAGS"]=""
1021S["WRAPPER_LDFLAGS"]="   "
1022S["MPIU_DLL_SPEC_DEF"]="#define MPIU_DLL_SPEC"
1023S["EXTERNAL_SRC_DIRS"]=" src/openpa"
1024S["subdirs"]=" test/mpi"
1025S["MPICH2LIB_CFLAGS"]=""
1026S["MPICH2LIB_CXXFLAGS"]=""
1027S["MPICH2LIB_FFLAGS"]=""
1028S["MPICH2LIB_F90FLAGS"]=""
1029S["MPICC"]="$(bindir)/mpicc"
1030S["MPICXX"]="$(bindir)/mpicxx"
1031S["MPIF77"]="$(bindir)/mpif77"
1032S["MPIF90"]="$(bindir)/mpif90"
1033S["LIBOBJS"]=""
1034S["LTLIBOBJS"]=""
1035_ACAWK
1036cat >>"$tmp/subs1.awk" <<_ACAWK &&
1037  for (key in S) S_is_set[key] = 1
1038  FS = ""
1039  $ac_cs_awk_pipe_init
1040}
1041{
1042  line = $ 0
1043  nfields = split(line, field, "@")
1044  substed = 0
1045  len = length(field[1])
1046  for (i = 2; i < nfields; i++) {
1047    key = field[i]
1048    keylen = length(key)
1049    if (S_is_set[key]) {
1050      value = S[key]
1051      line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
1052      len += length(value) + length(field[++i])
1053      substed = 1
1054    } else
1055      len += 1 + keylen
1056  }
1057  if (nfields == 3 && !substed) {
1058    key = field[2]
1059    if (F[key] != "" && line ~ /^[       ]*@.*@[         ]*$/) {
1060      $ac_cs_awk_read_file
1061      next
1062    }
1063  }
1064  print line
1065}
1066$ac_cs_awk_pipe_fini
1067_ACAWK
1068if sed "s/$ac_cr//" < /dev/null > /dev/null 2>&1; then
1069  sed "s/$ac_cr\$//; s/$ac_cr/$ac_cs_awk_cr/g"
1070else
1071  cat
1072fi < "$tmp/subs1.awk" > "$tmp/subs.awk" \
1073  || { { $as_echo "$as_me:$LINENO: error: could not setup config files machinery" >&5
1074$as_echo "$as_me: error: could not setup config files machinery" >&2;}
1075   { (exit 1); exit 1; }; }
1076fi # test -n "$CONFIG_FILES"
1077
1078# Set up the scripts for CONFIG_HEADERS section.
1079# No need to generate them if there are no CONFIG_HEADERS.
1080# This happens for instance with `./config.status Makefile'.
1081if test -n "$CONFIG_HEADERS"; then
1082cat >"$tmp/defines.awk" <<\_ACAWK ||
1083BEGIN {
1084D["PACKAGE_NAME"]=" \"\""
1085D["PACKAGE_TARNAME"]=" \"\""
1086D["PACKAGE_VERSION"]=" \"\""
1087D["PACKAGE_STRING"]=" \"\""
1088D["PACKAGE_BUGREPORT"]=" \"\""
1089D["USE_SMP_COLLECTIVES"]=" 1"
1090D["USE_PIPE_COLLECTIVES"]=" 1"
1091D["HAVE_ERROR_CHECKING"]=" MPID_ERROR_LEVEL_ALL"
1092D["MPICH_ERROR_MSG_LEVEL"]=" MPICH_ERROR_MSG_ALL"
1093D["USE_LOGGING"]=" MPID_LOGGING_NONE"
1094D["HAVE_RUNTIME_THREADCHECK"]=" 1"
1095D["MPICH_THREAD_LEVEL"]=" MPI_THREAD_MULTIPLE"
1096D["USE_THREAD_IMPL"]=" MPICH_THREAD_IMPL_GLOBAL_MUTEX"
1097D["MPIU_THREAD_GRANULARITY"]=" MPIU_THREAD_GRANULARITY_GLOBAL"
1098D["MPIU_HANDLE_ALLOCATION_METHOD"]=" MPIU_HANDLE_ALLOCATION_MUTEX"
1099D["MPIU_THREAD_REFCOUNT"]=" MPIU_REFCOUNT_NONE"
1100D["HAVE_ROMIO"]=" 1"
1101D["HAVE__FUNC__"]=" /**/"
1102D["HAVE__FUNCTION__"]=" /**/"
1103D["HAVE_PRAGMA_WEAK"]=" 1"
1104D["USE_WEAK_SYMBOLS"]=" 1"
1105D["HAVE_MULTIPLE_PRAGMA_WEAK"]=" 1"
1106D["HAVE_CXX_EXCEPTIONS"]=" /**/"
1107D["HAVE_NAMESPACES"]=" /**/"
1108D["HAVE_NAMESPACE_STD"]=" /**/"
1109D["HAVE_CXX_BINDING"]=" 1"
1110D["HAVE_NAMEPUB_SERVICE"]=" 1"
1111D["restrict"]=" __restrict"
1112D["HAVE_GCC_ATTRIBUTE"]=" 1"
1113D["WORDS_LITTLEENDIAN"]=" 1"
1114D["HAVE_LONG_DOUBLE"]=" 1"
1115D["HAVE_LONG_LONG_INT"]=" 1"
1116D["HAVE_MAX_INTEGER_ALIGNMENT"]=" 4"
1117D["HAVE_MAX_STRUCT_ALIGNMENT"]=" 4"
1118D["HAVE_MAX_FP_ALIGNMENT"]=" 4"
1119D["SIZEOF_CHAR"]=" 1"
1120D["SIZEOF_UNSIGNED_CHAR"]=" 1"
1121D["SIZEOF_SHORT"]=" 2"
1122D["SIZEOF_UNSIGNED_SHORT"]=" 2"
1123D["SIZEOF_INT"]=" 4"
1124D["SIZEOF_UNSIGNED_INT"]=" 4"
1125D["SIZEOF_LONG"]=" 4"
1126D["SIZEOF_UNSIGNED_LONG"]=" 4"
1127D["SIZEOF_LONG_LONG"]=" 8"
1128D["SIZEOF_UNSIGNED_LONG_LONG"]=" 8"
1129D["SIZEOF_FLOAT"]=" 4"
1130D["SIZEOF_DOUBLE"]=" 8"
1131D["SIZEOF_LONG_DOUBLE"]=" 12"
1132D["SIZEOF_WCHAR_T"]=" 0"
1133D["HAVE_STDDEF_H"]=" 1"
1134D["SIZEOF_VOID_P"]=" 4"
1135D["HAVE_INTTYPES_H"]=" 1"
1136D["HAVE_STDINT_H"]=" 1"
1137D["HAVE_INT8_T"]=" 1"
1138D["HAVE_INT16_T"]=" 1"
1139D["HAVE_INT32_T"]=" 1"
1140D["HAVE_INT64_T"]=" 1"
1141D["HAVE_UINT8_T"]=" 1"
1142D["HAVE_UINT16_T"]=" 1"
1143D["HAVE_UINT32_T"]=" 1"
1144D["HAVE_UINT64_T"]=" 1"
1145D["MPIR_REAL4_CTYPE"]=" float"
1146D["MPIR_REAL8_CTYPE"]=" double"
1147D["MPIR_INTEGER1_CTYPE"]=" char"
1148D["MPIR_INTEGER2_CTYPE"]=" short"
1149D["MPIR_INTEGER4_CTYPE"]=" int"
1150D["MPIR_INTEGER8_CTYPE"]=" long long"
1151D["SIZEOF_BOOL"]=" 1"
1152D["SIZEOF_COMPLEX"]=" 8"
1153D["SIZEOF_DOUBLECOMPLEX"]=" 16"
1154D["SIZEOF_LONGDOUBLECOMPLEX"]=" 24"
1155D["MPIR_CXX_COMPLEX_VALUE"]=" 0x4c000834"
1156D["MPIR_CXX_DOUBLE_COMPLEX_VALUE"]=" 0x4c001035"
1157D["MPIR_CXX_LONG_DOUBLE_COMPLEX_VALUE"]=" 0x4c001836"
1158D["HAVE_CXX_COMPLEX"]=" 1"
1159D["HAVE_ANY_INT64_T_ALIGNMENT"]=" 1"
1160D["HAVE_ANY_INT32_T_ALIGNMENT"]=" 1"
1161D["SIZEOF_MPIR_BSEND_DATA_T"]=" 56"
1162D["HAVE_GCC_AND_PENTIUM_ASM"]=" 1"
1163D["USE_ATOMIC_UPDATES"]=" /**/"
1164D["HAVE_STDLIB_H"]=" 1"
1165D["HAVE_STDARG_H"]=" 1"
1166D["HAVE_SYS_TYPES_H"]=" 1"
1167D["HAVE_STRING_H"]=" 1"
1168D["HAVE_INTTYPES_H"]=" 1"
1169D["HAVE_LIMITS_H"]=" 1"
1170D["HAVE_STDDEF_H"]=" 1"
1171D["HAVE_ERRNO_H"]=" 1"
1172D["HAVE_SYS_SOCKET_H"]=" 1"
1173D["HAVE_SYS_TIME_H"]=" 1"
1174D["HAVE_UNISTD_H"]=" 1"
1175D["HAVE_ASSERT_H"]=" 1"
1176D["HAVE_SYS_PARAM_H"]=" 1"
1177D["HAVE_SYS_UIO_H"]=" 1"
1178D["HAVE_SETITIMER"]=" 1"
1179D["HAVE_ALARM"]=" 1"
1180D["HAVE_VSNPRINTF"]=" 1"
1181D["HAVE_VSPRINTF"]=" 1"
1182D["HAVE_STRERROR"]=" 1"
1183D["HAVE_STRNCASECMP"]=" 1"
1184D["HAVE_SNPRINTF"]=" 1"
1185D["HAVE_VA_COPY"]=" 1"
1186D["HAVE_ALLOCA"]=" 1"
1187D["HAVE_STRDUP"]=" 1"
1188D["HAVE_MKSTEMP"]=" 1"
1189D["HAVE_FDOPEN"]=" 1"
1190D["NEEDS_FDOPEN_DECL"]=" 1"
1191D["HAVE_PUTENV"]=" 1"
1192D["HAVE_CLOCK_GETTIME"]=" 1"
1193D["HAVE_CLOCK_GETRES"]=" 1"
1194D["HAVE_GETTIMEOFDAY"]=" 1"
1195D["SIZEOF_INT_IS_AINT"]=" 1"
1196D["MPIR_Pint"]=" int"
1197D["MPIR_Upint"]=" unsigned int"
1198D["MPIU_SIZE_T"]=" unsigned int"
1199D["HAVE_PTHREAD_H"]=" 1"
1200D["HAVE_PTHREAD_CLEANUP_PUSH"]=" 1"
1201D["HAVE_PTHREAD_MUTEX_RECURSIVE"]=" 1"
1202D["HAVE_SCHED_YIELD"]=" 1"
1203D["HAVE_USLEEP"]=" 1"
1204D["HAVE_SLEEP"]=" 1"
1205D["HAVE_SELECT"]=" 1"
1206D["HAVE_GETPID"]=" 1"
1207D["USE_THREAD_PKG"]=" MPICH_THREAD_PKG_POSIX"
1208D["HAVE_NO_FORTRAN_MPI_TYPES_IN_C"]=" 1"
1209D["HAVE_MPICHCONF"]=" 1"
1210  for (key in D) D_is_set[key] = 1
1211  FS = ""
1212}
1213/^[\t ]*#[\t ]*(define|undef)[\t ]+[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*([\t (]|$)/ {
1214  line = $ 0
1215  split(line, arg, " ")
1216  if (arg[1] == "#") {
1217    defundef = arg[2]
1218    mac1 = arg[3]
1219  } else {
1220    defundef = substr(arg[1], 2)
1221    mac1 = arg[2]
1222  }
1223  split(mac1, mac2, "(") #)
1224  macro = mac2[1]
1225  if (D_is_set[macro]) {
1226    # Preserve the white space surrounding the "#".
1227    prefix = substr(line, 1, index(line, defundef) - 1)
1228    print prefix "define", macro P[macro] D[macro]
1229    next
1230  } else {
1231    # Replace #undef with comments.  This is necessary, for example,
1232    # in the case of _POSIX_SOURCE, which is predefined and required
1233    # on some systems where configure will not decide to define it.
1234    if (defundef == "undef") {
1235      print "/*", line, "*/"
1236      next
1237    }
1238  }
1239}
1240{ print }
1241_ACAWK
1242  { { $as_echo "$as_me:$LINENO: error: could not setup config headers machinery" >&5
1243$as_echo "$as_me: error: could not setup config headers machinery" >&2;}
1244   { (exit 1); exit 1; }; }
1245fi # test -n "$CONFIG_HEADERS"
1246
1247
1248eval set X "  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS"
1249shift
1250for ac_tag
1251do
1252  case $ac_tag in
1253  :[FHLC]) ac_mode=$ac_tag; continue;;
1254  esac
1255  case $ac_mode$ac_tag in
1256  :[FHL]*:*);;
1257  :L* | :C*:*) { { $as_echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
1258$as_echo "$as_me: error: Invalid tag $ac_tag." >&2;}
1259   { (exit 1); exit 1; }; };;
1260  :[FH]-) ac_tag=-:-;;
1261  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
1262  esac
1263  ac_save_IFS=$IFS
1264  IFS=:
1265  set x $ac_tag
1266  IFS=$ac_save_IFS
1267  shift
1268  ac_file=$1
1269  shift
1270
1271  case $ac_mode in
1272  :L) ac_source=$1;;
1273  :[FH])
1274    ac_file_inputs=
1275    for ac_f
1276    do
1277      case $ac_f in
1278      -) ac_f="$tmp/stdin";;
1279      *) # Look for the file first in the build tree, then in the source tree
1280         # (if the path is not absolute).  The absolute path cannot be DOS-style,
1281         # because $ac_f cannot contain `:'.
1282         test -f "$ac_f" ||
1283           case $ac_f in
1284           [\\/$]*) false;;
1285           *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
1286           esac ||
1287           { { $as_echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
1288$as_echo "$as_me: error: cannot find input file: $ac_f" >&2;}
1289   { (exit 1); exit 1; }; };;
1290      esac
1291      case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
1292      ac_file_inputs="$ac_file_inputs '$ac_f'"
1293    done
1294
1295    # Let's still pretend it is `configure' which instantiates (i.e., don't
1296    # use $as_me), people would be surprised to read:
1297    #    /* config.h.  Generated by config.status.  */
1298    configure_input='Generated from '`
1299          $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
1300        `' by configure.'
1301    if test x"$ac_file" != x-; then
1302      configure_input="$ac_file.  $configure_input"
1303      { $as_echo "$as_me:$LINENO: creating $ac_file" >&5
1304$as_echo "$as_me: creating $ac_file" >&6;}
1305    fi
1306    # Neutralize special characters interpreted by sed in replacement strings.
1307    case $configure_input in #(
1308    *\&* | *\|* | *\\* )
1309       ac_sed_conf_input=`$as_echo "$configure_input" |
1310       sed 's/[\\\\&|]/\\\\&/g'`;; #(
1311    *) ac_sed_conf_input=$configure_input;;
1312    esac
1313
1314    case $ac_tag in
1315    *:-:* | *:-) cat >"$tmp/stdin" \
1316      || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
1317$as_echo "$as_me: error: could not create $ac_file" >&2;}
1318   { (exit 1); exit 1; }; } ;;
1319    esac
1320    ;;
1321  esac
1322
1323  ac_dir=`$as_dirname -- "$ac_file" ||
1324$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1325         X"$ac_file" : 'X\(//\)[^/]' \| \
1326         X"$ac_file" : 'X\(//\)$' \| \
1327         X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
1328$as_echo X"$ac_file" |
1329    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1330            s//\1/
1331            q
1332          }
1333          /^X\(\/\/\)[^/].*/{
1334            s//\1/
1335            q
1336          }
1337          /^X\(\/\/\)$/{
1338            s//\1/
1339            q
1340          }
1341          /^X\(\/\).*/{
1342            s//\1/
1343            q
1344          }
1345          s/.*/./; q'`
1346  { as_dir="$ac_dir"
1347  case $as_dir in #(
1348  -*) as_dir=./$as_dir;;
1349  esac
1350  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1351    as_dirs=
1352    while :; do
1353      case $as_dir in #(
1354      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
1355      *) as_qdir=$as_dir;;
1356      esac
1357      as_dirs="'$as_qdir' $as_dirs"
1358      as_dir=`$as_dirname -- "$as_dir" ||
1359$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1360         X"$as_dir" : 'X\(//\)[^/]' \| \
1361         X"$as_dir" : 'X\(//\)$' \| \
1362         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1363$as_echo X"$as_dir" |
1364    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1365            s//\1/
1366            q
1367          }
1368          /^X\(\/\/\)[^/].*/{
1369            s//\1/
1370            q
1371          }
1372          /^X\(\/\/\)$/{
1373            s//\1/
1374            q
1375          }
1376          /^X\(\/\).*/{
1377            s//\1/
1378            q
1379          }
1380          s/.*/./; q'`
1381      test -d "$as_dir" && break
1382    done
1383    test -z "$as_dirs" || eval "mkdir $as_dirs"
1384  } || test -d "$as_dir" || { { $as_echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1385$as_echo "$as_me: error: cannot create directory $as_dir" >&2;}
1386   { (exit 1); exit 1; }; }; }
1387  ac_builddir=.
1388
1389case "$ac_dir" in
1390.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
1391*)
1392  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
1393  # A ".." for each directory in $ac_dir_suffix.
1394  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
1395  case $ac_top_builddir_sub in
1396  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
1397  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
1398  esac ;;
1399esac
1400ac_abs_top_builddir=$ac_pwd
1401ac_abs_builddir=$ac_pwd$ac_dir_suffix
1402# for backward compatibility:
1403ac_top_builddir=$ac_top_build_prefix
1404
1405case $srcdir in
1406  .)  # We are building in place.
1407    ac_srcdir=.
1408    ac_top_srcdir=$ac_top_builddir_sub
1409    ac_abs_top_srcdir=$ac_pwd ;;
1410  [\\/]* | ?:[\\/]* )  # Absolute name.
1411    ac_srcdir=$srcdir$ac_dir_suffix;
1412    ac_top_srcdir=$srcdir
1413    ac_abs_top_srcdir=$srcdir ;;
1414  *) # Relative name.
1415    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
1416    ac_top_srcdir=$ac_top_build_prefix$srcdir
1417    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
1418esac
1419ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
1420
1421
1422  case $ac_mode in
1423  :F)
1424  #
1425  # CONFIG_FILE
1426  #
1427
1428  case $INSTALL in
1429  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
1430  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
1431  esac
1432# If the template does not know about datarootdir, expand it.
1433# FIXME: This hack should be removed a few years after 2.60.
1434ac_datarootdir_hack=; ac_datarootdir_seen=
1435
1436ac_sed_dataroot='
1437/datarootdir/ {
1438  p
1439  q
1440}
1441/@datadir@/p
1442/@docdir@/p
1443/@infodir@/p
1444/@localedir@/p
1445/@mandir@/p
1446'
1447case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
1448*datarootdir*) ac_datarootdir_seen=yes;;
1449*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
1450  { $as_echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
1451$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
1452  ac_datarootdir_hack='
1453  s&@datadir@&${datarootdir}&g
1454  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
1455  s&@infodir@&${datarootdir}/info&g
1456  s&@localedir@&${datarootdir}/locale&g
1457  s&@mandir@&${datarootdir}/man&g
1458    s&\${datarootdir}&${prefix}/share&g' ;;
1459esac
1460ac_sed_extra="
1461
1462:t
1463/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
1464s|@configure_input@|$ac_sed_conf_input|;t t
1465s&@top_builddir@&$ac_top_builddir_sub&;t t
1466s&@top_build_prefix@&$ac_top_build_prefix&;t t
1467s&@srcdir@&$ac_srcdir&;t t
1468s&@abs_srcdir@&$ac_abs_srcdir&;t t
1469s&@top_srcdir@&$ac_top_srcdir&;t t
1470s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
1471s&@builddir@&$ac_builddir&;t t
1472s&@abs_builddir@&$ac_abs_builddir&;t t
1473s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
1474s&@INSTALL@&$ac_INSTALL&;t t
1475$ac_datarootdir_hack
1476"
1477eval sed \"\$ac_sed_extra\" "$ac_file_inputs" |
1478if $ac_cs_awk_getline; then
1479  $AWK -f "$tmp/subs.awk"
1480else
1481  $AWK -f "$tmp/subs.awk" | $SHELL
1482fi >$tmp/out \
1483  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
1484$as_echo "$as_me: error: could not create $ac_file" >&2;}
1485   { (exit 1); exit 1; }; }
1486
1487test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
1488  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
1489  { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
1490  { $as_echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
1491which seems to be undefined.  Please make sure it is defined." >&5
1492$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
1493which seems to be undefined.  Please make sure it is defined." >&2;}
1494
1495  rm -f "$tmp/stdin"
1496  case $ac_file in
1497  -) cat "$tmp/out" && rm -f "$tmp/out";;
1498  *) rm -f "$ac_file" && mv "$tmp/out" "$ac_file";;
1499  esac \
1500  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
1501$as_echo "$as_me: error: could not create $ac_file" >&2;}
1502   { (exit 1); exit 1; }; }
1503 ;;
1504  :H)
1505  #
1506  # CONFIG_HEADER
1507  #
1508  if test x"$ac_file" != x-; then
1509    {
1510      $as_echo "/* $configure_input  */" \
1511      && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs"
1512    } >"$tmp/config.h" \
1513      || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
1514$as_echo "$as_me: error: could not create $ac_file" >&2;}
1515   { (exit 1); exit 1; }; }
1516    if diff "$ac_file" "$tmp/config.h" >/dev/null 2>&1; then
1517      { $as_echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1518$as_echo "$as_me: $ac_file is unchanged" >&6;}
1519    else
1520      rm -f "$ac_file"
1521      mv "$tmp/config.h" "$ac_file" \
1522        || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
1523$as_echo "$as_me: error: could not create $ac_file" >&2;}
1524   { (exit 1); exit 1; }; }
1525    fi
1526  else
1527    $as_echo "/* $configure_input  */" \
1528      && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs" \
1529      || { { $as_echo "$as_me:$LINENO: error: could not create -" >&5
1530$as_echo "$as_me: error: could not create -" >&2;}
1531   { (exit 1); exit 1; }; }
1532  fi
1533 ;;
1534
1535  :C)  { $as_echo "$as_me:$LINENO: executing $ac_file commands" >&5
1536$as_echo "$as_me: executing $ac_file commands" >&6;}
1537 ;;
1538  esac
1539
1540
1541  case $ac_file$ac_mode in
1542    "default-1":C) if test "$enable_f77" = yes ; then
1543if test "$bashWorks" = yes ; then cp -f src/env/mpif77.bash src/env/mpif77 ; fi
1544chmod a+x src/env/mpif77
1545if test "$has_exclaim" = "yes" ; then
1546    sed -e 's/^C/\!/g' src/binding/f77/mpif.h > src/include/mpif.h
1547        cp src/include/mpif.h src/binding/f77/mpif.h
1548else
1549    cp src/binding/f77/mpif.h src/include
1550fi
1551if test "$has_fort_real8" = "yes" ; then
1552    sed -e 's/DOUBLE PRECISION/REAL*8/g' src/include/mpif.h > src/include/mpif.h.new
1553    mv src/include/mpif.h.new src/include/mpif.h
1554    cp src/include/mpif.h src/binding/f77/mpif.h
1555fi
1556# Save a copy of the original mpi_base.f90 file
1557if test "$enable_f90" = "yes" ; then
1558  if test ! -f "$master_top_srcdir/src/binding/f90/mpi_base.f90.orig" ; then
1559    cp $master_top_srcdir/src/binding/f90/mpi_base.f90 $master_top_srcdir/src/binding/f90/mpi_base.f90.orig
1560  fi
1561  if test "$has_fort90_real8" = "yes" ; then
1562    sed -e 's/DOUBLE PRECISION/REAL*8/g' $master_top_srcdir/src/binding/f90/mpi_base.f90 > $master_top_srcdir/src/binding/f90/mpi_base.f90.new
1563    mv -f $master_top_srcdir/src/binding/f90/mpi_base.f90.new $master_top_srcdir/src/binding/f90/mpi_base.f90
1564  else
1565    cp -f $master_top_srcdir/src/binding/f90/mpi_base.f90.orig $master_top_srcdir/src/binding/f90/mpi_base.f90
1566  fi
1567fi
1568
1569if test ! -d bin  ; then mkdir bin ; fi
1570sed -e 's%includedir=.*%includedir='$includebuild_dir% \
1571    -e 's%libdir=.*%libdir='$libbuild_dir% \
1572    -e 's%^opalibdir=.*%opalibdir='$opalibbuild_dir% \
1573    src/env/mpif77 > bin/mpif77 ;
1574chmod a+x bin/mpif77
1575else
1576    rm -f src/env/mpif77 src/env/mpif77.conf
1577fi ;;
1578    "default-2":C) if test $enable_f90 = yes ; then
1579if test "$bashWorks" = yes ; then cp -f src/env/mpif90.bash src/env/mpif90 ; fi
1580chmod a+x src/env/mpif90
1581if test ! -d bin  ; then mkdir bin ; fi
1582sed -e 's%includedir=.*%includedir='$includebuild_dir% \
1583    -e 's%modincdir=.*%modincdir='$modincbuild_dir% \
1584    -e 's%libdir=.*%libdir='$libbuild_dir% \
1585    -e 's%^opalibdir=.*%opalibdir='$opalibbuild_dir% \
1586    src/env/mpif90 > bin/mpif90 ;
1587chmod a+x bin/mpif90
1588else
1589    rm -f src/env/mpif90 src/env/mpif90.conf bin/mpif90
1590fi
1591 ;;
1592    "default-3":C) if test $enable_cxx = yes ; then
1593if test "$bashWorks" = yes ; then cp -f src/env/mpicxx.bash src/env/mpicxx ; fi
1594chmod a+x src/env/mpicxx
1595cp src/binding/cxx/mpicxx.h src/include
1596if test ! -d bin  ; then mkdir bin ; fi
1597sed -e 's%includedir=.*%includedir='$includebuild_dir% \
1598    -e 's%libdir=.*%libdir='$libbuild_dir% \
1599    -e 's%^opalibdir=.*%opalibdir='$opalibbuild_dir% \
1600    src/env/mpicxx > bin/mpicxx ;
1601chmod a+x bin/mpicxx
1602else
1603    rm -f src/env/mpicxx src/env/mpicxx.conf
1604fi
1605 ;;
1606    "default-4":C)
1607    for entry in $MPE_THREAD_SOURCE_FILES ; do
1608        destfile="`echo $entry | sed -e 's/:.*$//'`"
1609        srcfile="`echo $entry | sed -e 's/^.*://'`"
1610        echo "copying $srcfile to $destfile"
1611        rm -f $destfile
1612        cat >$destfile <<END
1613/*
1614 * WARNING: DO NOT EDIT!  This file is a copy of $srcfile.
1615 */
1616
1617END
1618        cat $srcfile >>$destfile
1619        chmod a-w $destfile
1620    done
1621    if test -f src/util/thread/mpe_thread.h ; then
1622        echo "moving mpe_thread.h to src/include"
1623        mv -f src/util/thread/mpe_thread.h src/include/mpe_thread.h
1624    fi
1625 ;;
1626    "default-5":C)
1627for prog in $EXTERNAL_SETUPS - ; do
1628    if test "$prog" != "-" ; then
1629      dir=`dirname $prog`
1630      name=`basename $prog`
1631      (cd $dir && ./$name)
1632    fi
1633done ;;
1634    "default-6":C)
1635if test "$bashWorks" = yes ; then cp -f src/env/mpicc.bash src/env/mpicc ; fi
1636chmod a+x src/env/mpicc ;
1637if test ! -d bin  ; then mkdir bin ; fi
1638sed -e 's%includedir=.*%includedir='$includebuild_dir% \
1639    -e 's%libdir=.*%libdir='$libbuild_dir% \
1640    -e 's%^opalibdir=.*%opalibdir='$opalibbuild_dir% \
1641    src/env/mpicc > bin/mpicc ;
1642chmod a+x bin/mpicc  ;;
1643    "default-7":C)
1644   chmod a+x src/env/parkill ;
1645   if test ! -d bin  ; then mkdir bin ; fi
1646   cp src/env/parkill bin/parkill ;
1647   chmod a+x bin/parkill ;;
1648    "default-8":C) if test "$enable_romio" = "yes" ; then
1649  rm -f src/include/mpio.h "${use_top_srcdir}/include/mpio.h"
1650  cp src/mpi/romio/include/mpio.h src/include ; fi ;;
1651    "default-9":C) if grep 'dependencies:' Makefile >/dev/null 2>&1 ; then
1652    echo "Updating dependency directories .deps"
1653    find src -type d -print | sed -e 's%\(.*\)%(cd \1 \&\& grep MAKE_DEPEND_C Makefile >/dev/null 2>\&1 \&\& ( test -d .deps || mkdir .deps) \&\& touch .deps/alldeps)%g' | sh
1654fi ;;
1655    "default-10":C) chmod +x doc/mansrc/createhtmlindex ;;
1656    "default-11":C) if [ ! -d lib ] ; then mkdir lib ; fi
1657date > lib/newconfig ;;
1658    "default-12":C) chmod +x src/util/createshlib ;;
1659    "default-13":C) chmod a+x src/util/dbg/getfuncstack ;;
1660    "default-14":C) chmod a+x test/commands/cmdtests ;;
1661
1662  esac
1663done # for ac_tag
1664
1665
1666{ (exit 0); exit 0; }